apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: florale-emotion-dev-ingress
  annotations:
    kubernetes.io/ingress.class: "traefik"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    traefik.ingress.kubernetes.io/redirect-to-https: "true"
spec:
  tls:
  - hosts:
    - dev.florale-emotion.de
    - api-dev.florale-emotion.de
    secretName: florale-emotion-dev-tls
  rules:
  - host: dev.florale-emotion.de
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: florale-emotion-frontend-service
            port:
              number: 80
  - host: api-dev.florale-emotion.de
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: florale-emotion-backend-service
            port:
              number: 3000